/*
purple #4930CD
purple hover #3A27A3
green #19FFC1
*/

/* ------------------------------- */
/* ROBOTO FONT                     */
/* ------------------------------- */

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-display: swap;
    font-weight: normal;
    src:
        url('./font/roboto-latin-400.woff2') format('woff2'),
        url('./font/roboto-latin-400.woff') format('woff');
}

@font-face {
    font-family: 'Roboto';
    font-style: italic;
    font-display: swap;
    font-weight: normal;
    src:
        url('./font/roboto-latin-400-italic.woff2') format('woff2'),
        url('./font/roboto-latin-400-italic.woff') format('woff');
}

@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-display: swap;
    font-weight: bold;
    src:
            url('./font/roboto-latin-700.woff2') format('woff2'),
            url('./font/roboto-latin-700.woff') format('woff');
}

@font-face {
    font-family: 'Roboto';
    font-style: italic;
    font-display: swap;
    font-weight: bold;
    src:
            url('./font/roboto-latin-700-italic.woff2') format('woff2'),
            url('./font/roboto-latin-700-italic.woff') format('woff');
}

/* ------------------------------- */
/* BODY                            */
/* ------------------------------- */

* {
    user-select: none;
}

body,
html {
    padding: 0;
    margin: 0;
    font-family: 'Roboto', sans-serif;
    font-weight: normal;
}

/* ------------------------------- */
/* AUDIO PLAYER                    */
/* ------------------------------- */

#audio-player-container {
    top: 0;
    left: 0;
    width: 100%;
    height: 97.5%;
    z-index: 9;
    position: absolute;
    display: none;
}

video#audio-player {
    border: none;
    object-fit: initial;
    position: absolute;
    top: 0;
    left: 10%;
    width: 80%;
    height: 100%;
    pointer-events: none;
}

::cue {
    font-size: 24px;
    background-color: #000;
    color: #FFF;
}

#audio-progress-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 12px;
    background-color: rgba(25, 255, 195, 0.5);
}

#audio-progress {
    position: relative;
    width: 0;
    height: 100%;
    background-color: #19FFC1;
}

#audio-is-playing {
    position: absolute;
    top: 32px;
    right: 20px;
    width: 64px;
    height: 64px;
    background: transparent url('./sound-is-playing.png') no-repeat scroll center center;
    background-size: contain;
}

/* ------------------------------- */
/* SCANNER                         */
/* ------------------------------- */

#scanning-indicator {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.scanning-frame {
    display: block;
    position: absolute;
    top: 50%;
    left: 0;
    background: transparent url('./scanning-frame.png') no-repeat scroll center center;
    background-size: contain;
    width: 100%;
    transform-origin: center center;
    transform: translate(0, -50%);
}

.scanning-frame::before {
    content: "";
    display: block;
    padding-top: 120%;
}

.scanning-icon {
    display: block;
    position: absolute;
    left: 50%;
    bottom: -3.5%;
    width: 20%;
    height: 16.667%;
    border-radius: 50%;
    overflow: hidden;
    transform-origin: center center;
    transform: translate(-50%, -50%);
    background: transparent url('./scanning-icon.png') no-repeat scroll center center;
    background-size: contain;
}

.scanning-text {
    display: block;
    position: absolute;
    top: 95%;
    left: 0;
    width: 100%;
    z-index: 9;
}

.scanning-text p {
    font-size: 36px;
    margin-top: 16px;
}

.scanning-frame-top,
.scanning-frame-bottom {
    display: block;
    position: absolute;
    left: 0;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.5);
}

.scanning-frame-top::before,
.scanning-frame-bottom::before {
    content: "";
    display: block;
    padding-top: 100%;
}

.scanning-frame-top {
    bottom: 100%;
}

.scanning-frame-bottom {
    top: 100%;
}

/* ------------------------------- */
/* BUTTONS                         */
/* ------------------------------- */

.button {
    display: block;
    margin: 0 auto 24px auto;
    padding: 6px 12px;
    border: 5px solid #4930CD;
    border-radius: 100px;
    cursor: pointer;
    min-width: 200px;
}

.button:hover {
    border: 5px solid #3A27A3;
}

.button:not(.secondary) {
    background-color: #4930CD;
}

.button:not(.secondary):hover {
    background-color: #3A27A3;
}

/* ------------------------------- */
/* FONT SIZES                      */
/* ------------------------------- */

p {
    font-size: 24px;
    font-style: italic;
    font-weight: bold;
    width: 100%;
    text-align: center;
    color: #FFF;
}

h2 {
    font-size: 36px;
    font-weight: bold;
    width: 100%;
    text-align: center;
    color: #19FFC1;
    text-shadow: 0 0 15px rgba(25, 255, 193, 0.85);
    margin: 0 0 36px 0;
}

h3 {
    font-size: 24px;
    font-weight: bold;
    width: 100%;
    text-align: left;
    color: #19FFC1;
    text-shadow: 0 0 15px rgba(25, 255, 193, 0.85);
    margin: 0 0 24px 0;
}

.button {
    font-size: 24px;
    font-weight: bold;
    text-align: center;
    color: #FFF;
}

a {
    text-decoration: none !important;
}

/* ------------------------------- */
/* SCREENS                         */
/* ------------------------------- */

.screen {
    display: flex;
    position: absolute;
    top: 0;
    left: 0;
    width: calc(100% - 48px);
    height: calc(100% - 96px);
    margin: 0;
    padding: 48px 24px;
    overflow: hidden;
}

.content {
    display: block;
    width: 100%;
}

.screen[data-screen="turn-on-sound"],
.screen[data-screen="secure-connection"],
.screen[data-screen="turn-on-camera"],
.screen[data-screen="no-camera-access"],
.screen[data-screen="accept-mission"],
.screen[data-screen="rotate-screen"] {
    background-color: #0B003A;
}

.screen[data-screen="turn-on-sound"],
.screen[data-screen="accept-mission"],
.screen[data-screen="rotate-screen"] {
    align-items: center;
}

.screen[data-screen="secure-connection"] .content,
.screen[data-screen="turn-on-camera"] .content,
.screen[data-screen="no-camera-access"] .content {
    margin-top: 120px;
}

.screen[data-screen="accept-mission"] .content {
    margin-top: 60px;
}

.screen[data-screen="rotate-screen"] {
    z-index: 99;
}

.screen[data-screen="tracking"] {
    background-color: transparent;
}

/* ------------------------------- */
/* IMAGES                          */
/* ------------------------------- */

img.turn-on-sound,
img.rotate-screen {
    width: 100%;
    max-width: 128px;
    display: block;
    margin: 0 auto;
}

img.no-camera-access {
    width: 100%;
    max-width: 80px;
    display: block;
    margin: 0 auto 12px auto;
}

img.logo {
    width: 100%;
    max-width: 130px;
    display: block;
    position: absolute;
    top: 48px;
    left: 24px;
}

/* ------------------------------- */
/* BLINK EFFECT                    */
/* ------------------------------- */

@keyframes blink-indicator {
    0% {
        opacity: 0;
    }
    50% {
        opacity: 1;
    }
    100% {
        opacity: 0;
    }
}

span.blink {
    animation: blink-indicator 1s infinite;
}

/* ------------------------------- */
/* SEQUENCE                        */
/* ------------------------------- */

.screen[data-screen="secure-connection"] div[data-part="3"] {
    display: none;
}
